## ros-humble-behaviortree-cpp 4.3.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16.3) # version on Ubuntu Focal

project(behaviortree_cpp VERSION 4.3.7 LANGUAGES C CXX)

set(CMAKE_CONFIG_PATH ${CMAKE_MODULE_PATH}  "${CMAKE_CURRENT_LIST_DIR}/cmake")
list(APPEND CMAKE_MODULE_PATH "${CMAKE_CONFIG_PATH}")

set(BTCPP_LIBRARY ${PROJECT_NAME})

if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
  message(STATUS "Setting build type to 'Release' as none was specified.")
  set(CMAKE_BUILD_TYPE "Release" CACHE
      STRING "Choose the type of build." FORCE)
  # Set the possible values of build type for cmake-gui
  set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS
    "Debug" "Release" "MinSizeRel" "RelWithDebInfo")
endif()

if(MSVC)
    add_definitions(-D_CRT_SECURE_NO_WARNINGS -DWIN32_LEAN_AND_MEAN)
else()
    add_definitions(-Wpedantic)
endif()

#---- project configuration ----
option(BTCPP_SHARED_LIBS "Build shared libraries" ON)
option(BTCPP_BUILD_TOOLS "Build commandline tools" ON)
option(BTCPP_EXAMPLES   "Build tutorials and examples" ON)
option(BTCPP_UNIT_TESTS "Build the unit tests" ON)
option(BTCPP_GROOT_INTERFACE "Add Groot2 connection. Requires ZeroMQ" ON)
option(BTCPP_SQLITE_LOGGING "Add SQLite logging." ON)

option(USE_V3_COMPATIBLE_NAMES  "Use some alias to compile more easily old 3.x code" OFF)

if(USE_V3_COMPATIBLE_NAMES)
    add_definitions(-DUSE_BTCPP3_OLD_NAMES)
endif()

#---- Find other packages ----
find_package(Threads REQUIRED)


set(BEHAVIOR_TREE_LIBRARY ${PROJECT_NAME})

# Update the policy setting to avoid an error when loading the ament_cmake package
# at the current cmake version level
if(POLICY CMP0057)
    cmake_policy(SET CMP0057 NEW)
endif()

find_package(ament_cmake QUIET)

if ( ament_cmake_FOUND )

    add_definitions( -DUSING_ROS2 )
    message(STATUS "------------------------------------------")
    message(STATUS "BehaviourTree is being built using AMENT.")
    message(STATUS "------------------------------------------")
    include(cmake/ament_build.cmake)

elseif( CATKIN_DEVEL_PREFIX OR CATKIN_BUILD_BINARY_PACKAGE)

    add_definitions( -DUSING_ROS )
    message(STATUS "------------------------------------------")
    message(STATUS "BehaviourTree is being built using CATKIN.")
    message(STATUS "------------------------------------------")
    include(cmake/catkin_build.cmake)
    set(catkin_FOUND TRUE)
else()
    message(STATUS "------------------------------------------")
    message(STATUS "BehaviourTree is being built with conan.")
    message(STATUS "------------------------------------------")
    include(cmake/conan_build.cmake)
endif()


#############################################################
# LIBRARY

add_subdirectory(3rdparty/lexy)

list(APPEND BT_SOURCE
    src/action_node.cpp
    src/basic_types.cpp
    src/behavior_tree.cpp
    src/blackboard.cpp
    src/bt_factory.cpp
    src/decorator_node.cpp
    src/condition_node.cpp
    src/control_node.cpp
    src/shared_library.cpp
    src/tree_node.cpp
    src/script_parser.cpp
    src/json_export.cpp
    src/xml_parsing.cpp

    src/actions/test_node.cpp
    src/actions/sleep_node.cpp

    src/decorators/delay_node.cpp
    src/decorators/inverter_node.cpp
    src/decorators/repeat_node.cpp
    src/decorators/retry_node.cpp
    src/decorators/timeout_node.cpp
    src/decorators/subtree_node.cpp

    src/controls/if_then_else_node.cpp
    src/controls/fallback_node.cpp
    src/controls/parallel_node.cpp
    src/controls/parallel_all_node.cpp
    src/controls/reactive_sequence.cpp
    src/controls/reactive_fallback.cpp
    src/controls/sequence_node.cpp
    src/controls/sequence_star_node.cpp
    src/controls/switch_node.cpp
    src/controls/while_do_else_node.cpp

    src/loggers/bt_cout_logger.cpp
    src/loggers/bt_file_logger_v2.cpp
    src/loggers/bt_minitrace_logger.cpp
    src/loggers/bt_observer.cpp

    3rdparty/tinyxml2/tinyxml2.cpp
    3rdparty/minitrace/minitrace.cpp
    )


if(BTCPP_GROOT_INTERFACE)
    # should be found already, at this stage
    list(APPEND BT_SOURCE  src/loggers/groot2_publisher.cpp )
endif()

if(BTCPP_SQLITE_LOGGING)
    list(APPEND BT_SOURCE  src/loggers/bt_sqlite_logger.cpp )
endif()

######################################################

if (UNIX)
    list(APPEND BT_SOURCE src/shared_library_UNIX.cpp )
endif()

if (WIN32)
    set(CMAKE_DEBUG_POSTFIX "d")
    list(APPEND BT_SOURCE src/shared_library_WIN.cpp )
endif()

if (BTCPP_SHARED_LIBS)
    set(CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS ON)
    add_library(${BTCPP_LIBRARY} SHARED ${BT_SOURCE})
else()
    set(CMAKE_POSITION_INDEPENDENT_CODE ON)
    add_library(${BTCPP_LIBRARY} STATIC ${BT_SOURCE})
endif()

message(STATUS "BTCPP_EXTRA_LIBRARIES: ${BTCPP_EXTRA_LIBRARIES}")

target_link_libraries(${BTCPP_LIBRARY}
    PRIVATE
        Threads::Threads
        ${CMAKE_DL_LIBS}
        $<BUILD_INTERFACE:foonathan::lexy>
        ${BTCPP_EXTRA_LIBRARIES}
)

target_include_directories(${BTCPP_LIBRARY}
    PUBLIC
        $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
        $<INSTALL_INTERFACE:include>
    PRIVATE
        $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/3rdparty>
        $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/lexy/include>
        ${BTCPP_EXTRA_INCLUDE_DIRS}
    )

target_compile_definitions(${BTCPP_LIBRARY} PRIVATE $<$<CONFIG:Debug>:TINYXML2_DEBUG>)
target_compile_definitions(${BTCPP_LIBRARY} PUBLIC BTCPP_LIBRARY_VERSION="${CMAKE_PROJECT_VERSION}")

target_compile_features(${BTCPP_LIBRARY} PUBLIC cxx_std_17)

if(MSVC)
else()
    target_compile_options(${BTCPP_LIBRARY} PRIVATE -Wall -Wextra)
endif()

#############################################################
message( STATUS "BTCPP_LIB_DESTINATION:   ${BTCPP_LIB_DESTINATION} " )
message( STATUS "BTCPP_INCLUDE_DESTINATION: ${BTCPP_INCLUDE_DESTINATION} " )
message( STATUS "BTCPP_UNIT_TESTS:   ${BTCPP_UNIT_TESTS} " )

add_subdirectory(sample_nodes)

######################################################

if (BTCPP_UNIT_TESTS)
    add_subdirectory(tests)
endif()

if(BTCPP_BUILD_TOOLS)
    add_subdirectory(tools)
endif()

if(BTCPP_EXAMPLES)
    add_subdirectory(examples)
endif()

######################################################
# INSTALL

INSTALL(TARGETS ${BTCPP_LIBRARY}
    EXPORT ${PROJECT_NAME}Targets
    ARCHIVE DESTINATION ${BTCPP_LIB_DESTINATION}
    LIBRARY DESTINATION ${BTCPP_LIB_DESTINATION}
    RUNTIME DESTINATION ${BTCPP_BIN_DESTINATION}
    INCLUDES DESTINATION ${BTCPP_INCLUDE_DESTINATION}
    )

INSTALL( DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/include/
    DESTINATION ${BTCPP_INCLUDE_DESTINATION}
    FILES_MATCHING PATTERN "*.h*")

export_btcpp_package()

=== debian/changelog ===
ros-humble-behaviortree-cpp (4.3.7-1jammy) jammy; urgency=high

  * Test and fix issue #653 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/653>: AnyTypeAllowed by default
  * more time margin for Windows tests
  * Add support for successful conda builds (#650 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/650>)
  * fix: Update how unit tests are executed in the github workflow so they are actually run on windows (#647 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/647>)
  * Add unit test related to SequenceWithMemory #636 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/636>
  * Contributors: Davide Faconti, tony-p

 -- Davide Faconti <davide.faconti@gmail.com>  Mon, 11 Sep 2023 22:00:00 -0000

ros-humble-behaviortree-cpp (4.3.6-1jammy) jammy; urgency=high

  * Simplify the visualization of custom type in Groot2 and improved tutorial 12
  * fix compilation warnings
  * Apply changes in ReactiveSequence to ReactiveFallback too
  * test that logging works correctly with ReactiveSequence #643 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/643>
  * reduce the number of times preconditions scripts are executed
  * PauseWithRetry test added
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Wed, 30 Aug 2023 22:00:00 -0000

ros-humble-behaviortree-cpp (4.3.5-1jammy) jammy; urgency=high

  * fix issue #621 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/621>: ConsumeQueue
  * feat: add template specialization for convertFromString deque (#628 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/628>)
  * unit test added
  * Update groot2_publisher.h (#630 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/630>)
  * unit test issue #629 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/629>
  * WhileDoElseNode can have 2 or 3 children (#625 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/625>)
  * fix issue #624 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/624> : add TimeoutNode::halt()
  * fix recording_fist_time issue on windows (#618 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/618>)
  * Contributors: Aglargil, Davide Faconti, Michael Terzer, benyamin saedi, muritane

 -- Davide Faconti <davide.faconti@gmail.com>  Sun, 13 Aug 2023 22:00:00 -0000

ros-humble-behaviortree-cpp (4.3.4-1jammy) jammy; urgency=high

  * Fix error #617 in TestNode
  * minitrace updated
  * fix issue #615 : don't execute preconditions if state is RUNNING
  * README.md
  * fix issue #605 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/605>: strip whitespaces and better error message
  * Export cxx-standard with target. (#604 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/604>)
  * feature #603 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/603>: add static method [std::string description()] to manifest
  * fix issue with move semantic
  * Contributors: Davide Faconti, Sebastian Kasperski

 -- Davide Faconti <davide.faconti@gmail.com>  Mon, 24 Jul 2023 22:00:00 -0000

ros-humble-behaviortree-cpp (4.3.3-1jammy) jammy; urgency=high

  * bug fix #601 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/601>: onHalted not called correctly in Control Nodes
  * Groot recording (#598 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/598>)
    * add recording to groot publisher
    * fixed
    * protocols compatibility
    * reply with first timestamp
    * remove prints
  * Fix error when building static library (#599 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/599>)
  * fix warnings
  * 4.3.2
  * prepare release
  * fix #595 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/595> : improvement in blackboard/scripting types (#597 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/597>)
  * Merge branch 'master' of github.com:BehaviorTree/BehaviorTree.CPP
  * Merge branch 'parallel_all'
  * Fix Issue 593 (#594 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/594>): support skipping in Parallel node
  * fix ParallelAll
  * adding ParallelAll, WIP
  * Contributors: Davide Faconti, Oleksandr Perepadia

 -- Davide Faconti <davide.faconti@gmail.com>  Tue, 04 Jul 2023 22:00:00 -0000

ros-humble-behaviortree-cpp (4.3.2-1jammy) jammy; urgency=high

  * fix #595 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/595> : improvement in blackboard/scripting types (#597 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/597>)
  * Fix Issue 593 (#594 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/594>): support skipping in Parallel node
  * adding ParallelAll
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Mon, 26 Jun 2023 22:00:00 -0000

ros-humble-behaviortree-cpp (4.3.1-1jammy) jammy; urgency=high

  * fix issue #592 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/592>
  * use lambda in tutorial
  * add script condition
  * "fix" issue #587 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/587>: ReactiveSequence should set conditions to IDLE
  * better error message
  * Fix issue #585 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/585>
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Tue, 20 Jun 2023 22:00:00 -0000

ros-humble-behaviortree-cpp (4.3.0-1jammy) jammy; urgency=high

  * use PImpl in multiple classes
  * updated FileLogger2
  * better error messages
  * blackboard refactoring to fix buggy _autoremap
  * improved support for default values
  * fix error and add nodiscard
  * Fix #580 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/580> : more informative error when not specializing BT::toStr
  * add builtin models to WriteTreeToXML
  * add simple example to generate logs
  * add Sleep Node
  * Fix #271 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/271>: better error message
  * remove EOL ros2 from CI
  * Contributors: Davide Faconti



=== debian/control ===
Source: ros-humble-behaviortree-cpp
Section: misc
Priority: optional
Maintainer: Davide Faconti <davide.faconti@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libsqlite3-dev, libzmq3-dev, ros-humble-ament-cmake, ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-ament-index-cpp, ros-humble-rclcpp, ros-humble-ros-environment, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-behaviortree-cpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libsqlite3-dev, libzmq3-dev, ros-humble-ament-index-cpp, ros-humble-rclcpp, ros-humble-ros-workspace
Description: This package provides the Behavior Trees core library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-behaviortree-cpp//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-behaviortree-cpp 4.6.1

=== debian/changelog ===
ros-humble-behaviortree-cpp (4.6.1-1bookworm) bookworm; urgency=high

  * remove flatbuffers from public API and old file_logger
  * fix issue #824 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/824>: use global in Blackboard::set
  * Add test for setting a global blackboard entry using a node's output port #823 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/823>
  * examples renamed
  * Contributors: Davide Faconti, Robin Müller

 -- Davide Faconti <davide.faconti@gmail.com>  Sun, 19 May 2024 16:00:00 -0000

ros-humble-behaviortree-cpp (4.6.0-1bookworm) bookworm; urgency=high

  * add tutorial 19 about the global blackboard
  * renamed examples to match website
  * Update TestNode and the corresponding tutorial
  * bug fixes related to sequence_id and unit tests added
  * Add string concatenation operator to scripting (#802 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/802>)
  * Add library alias for BT::behaviortree_cpp (#808 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/808>)
  * add Time Stamped blackboard (#805 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/805>)
  * add additional information and functionality to SQLiteLogger
  * add syntax for entries in the root blackboard ("@" prefix)
  * Fix/pixi build (#791 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/791>)
  * fix unit tests in Windows
  * fix windows compilation
  * Update cmake_windows.yml
  * Deprecate Balckboard::clear(). Issue #794 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/794>
  * Support string vector conversion for ports (#790 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/790>)
  * add more convertToString for integers
  * warn about overwritten enums
  * fix ambiguous to_json
  * Extend unit test for blackboard backup to run the second tree (#789 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/789>)
  * json convertion changed and
  * issue #755 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/755> : add backchaining test and change reactive nodes checks (#770 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/770>)
  * Update switch_node.h
  * test moved and port remapping fixed
  * Create pull_request_template.md
  * adding pre-commit
  * handle enums conversions is assignment
  * Contributors: Davide Faconti, Sean Geles, Sebastian Castro, Victor Massagué Respall, avikus-seonghyeon.kwon, tony-p

 -- Davide Faconti <davide.faconti@gmail.com>  Sat, 27 Apr 2024 16:00:00 -0000

ros-humble-behaviortree-cpp (4.5.2-1bookworm) bookworm; urgency=high

  * bugfix: string to enum/integer/boolean in scripts
  * bug fix in scripting comparison
  * added more pretty-prints to demangler
  * fixes and checks in default values, based on PR #773 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/773>
  * Initialize std::atomic_bool (#772 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/772>)
  * Fix issue #767 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/767> and #768 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/768>
  * updated default port syntax: "{=}"
  * new default port capability: blackbard entries
  * fix issue #757 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/757> : skipped nodes should not call post-condition ALWAYS
  * Merge pull request #756 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/756> from imere/imere-patch-1
  * fix(test): Typo in gtest_blackboard.cpp
  * Contributors: Davide Faconti, Lu Z, Marq Rasmussen

 -- Davide Faconti <davide.faconti@gmail.com>  Wed, 06 Mar 2024 16:00:00 -0000

ros-humble-behaviortree-cpp (4.5.1-1bookworm) bookworm; urgency=high

  * Support enums and real numbers in Node Switch
  * improve Any::castPtr and add example
  * fix issue #748 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/748> : static error messages
  * Merge pull request #746 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/746> from galou/snprintf
    Use snprintf instead of sprintf
  * Use snprintf instead of sprintf
    - Augment the buffer size on doc error.
    - Let sprintf in switch_node.h since the max. string length is known.
  * Contributors: Davide Faconti, Gaël Écorchard

 -- Davide Faconti <davide.faconti@gmail.com>  Mon, 22 Jan 2024 16:00:00 -0000

ros-humble-behaviortree-cpp (4.5.0-1bookworm) bookworm; urgency=high

  * fix typo in unit test #733 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/733>
  * allow Input/Output ports with type Any
  * Merge pull request #703 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/703> from galou/export_xsd
    Implement writeTreeXSD() to generate an XSD
  * Any::isType() will return the original type. Cherry picking from #708 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/708>
  * fix #734 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/734>
  * remove unneeded includes
  * add Any::castPtr
  * add alias KeyValueVector
  * Merge pull request #730 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/730> from adlarkin/add_metadata
    Add optional metadata to TreeNodeManifest
  * Contributors: Ashton Larkin, Davide Faconti, Gaël Écorchard

 -- Davide Faconti <davide.faconti@gmail.com>  Tue, 09 Jan 2024 16:00:00 -0000

ros-humble-behaviortree-cpp (4.4.3-1bookworm) bookworm; urgency=high

  * Merge pull request #709 from galou/unset_blackboard
  * fix issue #725 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/725> : SetBlackboard can copy entries
  * add more unit tests
  * fix typos #721 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/721>
  * fix: guard macro declaration to prevent redefinition warning
  * fix: Rename scoped lock so it doesn't hide the outer lock triggering a compiler warning
  * add private ports to exclude from autoremapping #706 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/706>
  * fix issue #713 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/713>:  getNodesByPath should be const


=== debian/control ===
Source: ros-humble-behaviortree-cpp
Section: misc
Priority: optional
Maintainer: Davide Faconti <davide.faconti@gmail.com>
Build-Depends: debhelper (>= 9.0.0), cppzmq-dev, libsqlite3-dev, libzmq3-dev, ros-humble-ament-cmake, ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-ament-index-cpp, ros-humble-rclcpp, ros-humble-ros-environment, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-behaviortree-cpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cppzmq-dev, libsqlite3-dev, libzmq3-dev, ros-humble-ament-index-cpp, ros-humble-rclcpp, ros-humble-ros-workspace
Description: This package provides the Behavior Trees core library.

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-behaviortree-cpp//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-behaviortree-cpp//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-behaviortree-cpp//opt/ros/humble/opt/behaviortree_cpp/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
